<?php
/**
 *
 * @package LZ Restaurant Premium
 */
?>
<?php $showContent = get_theme_mod('lz_fitness_premium_slider_show_content', 'on'); ?> 
<div id="ht-home-slider-section">
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'lz_fitness_slider', 'orderby'   => 'id', 'order' => 'DESC', );
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = get_category_link($slider_btn_link[0]);
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'SHOP NOW';
				}
				?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php 
					if(has_post_thumbnail()){
						$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
						echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
					}
					if($showContent == 'on'){
						?>
						<div class="ht-slide-caption">
							<div class="ht-slide-caps-title animated fadeInDown">
								<?php 
								if(has_excerpt()){
									echo get_the_excerpt();
								}else{
									echo lz_fitness_excerpt( get_the_content() , 190 );
								}
								?>
							</div>
							<div class="clearfix"></div>
							<div class="ht-slide-cap-title animated fadeInDown">
								<?php echo (get_the_title()); ?>
							</div>
							<div class="clearfix"></div>
							<div class="ht-slide-cap-desc animated fadeInDown">
								<?php echo esc_html(get_the_content()); ?>
							</div>	
							<div class="clearfix"></div>						
							<?php 
							if(!empty($pageLink)){ ?>
								<div class="ht-slide-cap-descmore animated fadeInDown">
									<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php echo esc_html($pageLinkTxt); ?></a>
								</div>
							<?php }?>
						</div>
					<?php }?>
				</div>
				<?php
			endwhile;
		}else{ 
			for($i=0;$i<2;$i++){?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>					
					<?php if($showContent == 'on'){?>
						<div class="ht-slide-caption">
							<div class="ht-slide-caps-title animated fadeInDown text-right">New For Women’s</div>
							<div class="clearfix"></div>
							<div class="ht-slide-cap-title animated fadeInDown">Women’s fASHIONwEAR</div>
							<div class="ht-slide-cap-desc animated fadeInDown">cLEARANCE SALE OFF TO 70%</div>
							<div class="ht-slide-cap-descmore animated fadeInDown">	
								<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php _e( 'SHOP NOW', 'lz-fintess-premium' ); ?></a> 
							</div> 
						</div>
					<?php }?>
				</div>
			<?php }
		}?>
	</div>
	
</div>
